Page MenuHomePhabricator

Create a sketch of how sockpuppets are detected now
Closed, DeclinedPublic

Description

We need a sketch of steps and tools used to detect sockpuppets on Wikimedia projects. Christel volunteered to help with this in our last meeting. Request captured in some details at https://meta.wikimedia.org/wiki/Research_talk:Sockpuppet_detection_in_Wikimedia_projects#Sketch_of_sockpuppet_detection_steps_and_tools

Event Timeline

leila created this task.Sep 6 2017, 12:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2017, 12:33 AM

I left a link on that talk page to presentation slides I did about this topic years ago, which may still be of some use.

leila reassigned this task from leila to DarTar.Nov 1 2017, 6:53 PM

@DarTar I'm assigning this to you as you've picked up this space. Feel free to ping if you need help.

leila claimed this task.Mar 9 2018, 5:07 PM
leila added a comment.Mar 9 2018, 5:12 PM

@srijan Can you remind me what the status of the sketch is? I'm pretty sure we can resolve this since the survey is done and the information is collected. Are there private docs (because of the nature of this specific point), that we can link to, even if access to them is not possible? (I can turn this task to NDA access mode after you add the link).

leila moved this task from Staged to Done (current quarter) on the Research board.Mar 9 2018, 5:12 PM
leila moved this task from Done (current quarter) to In Progress on the Research board.
srijan added a comment.Mar 9 2018, 6:56 PM

@leila no problem in making the figure public. I can upload it somewhere if you need.

leila added a comment.Mar 9 2018, 6:59 PM

@srijan if you don't mind emailing it to me first, that'd be great. If it's super safe to share it, we should eventually put it on meta at https://meta.wikimedia.org/wiki/Research:Sockpuppet_detection_in_Wikimedia_projects

leila added a subscriber: jrbs.Mar 11 2018, 6:20 PM

Update: Srijan and I talked. There was a misunderstanding about what this task is about. We still need this to be done. :) If I understand correctly, T176379 was done to be able to do this task and get a better understanding of checkuser needs.

@CSteigenberger do you have time for the two of us to work together to summarize the survey results and also create a sketch? Both information, even in exaggerate, should be kept private, and only shared back with checkusers for their information.

@jrbs where is the place to store the aggregate result of T176379 as well as this sketch? :)

jrbs moved this task from Backlog to Support on the Trust-and-Safety board.
jrbs added a comment.Mar 28 2018, 12:10 AM

Sorry for the delay.

@jrbs where is the place to store the aggregate result of T176379 as well as this sketch? :)

It refers to global checkuser habits, right? So we should find a space on meta, probably under the research namespace if that's still being used.

leila added a comment.Mar 28 2018, 7:42 PM

Can that information go to public pages, @jrbs? I /think/ there was some sensitivity around it?

jrbs added a comment.Mar 29 2018, 12:49 AM

Can that information go to public pages, @jrbs? I /think/ there was some sensitivity around it?

Ah, sorry, that skipped my mind! Let me check.

jrbs added a comment.Apr 2 2018, 5:01 PM

@CSteigenberger do you have time for the two of us to work together to summarize the survey results and also create a sketch? Both information, even in exaggerate, should be kept private, and only shared back with checkusers for their information.

Did Christel get back to you? Perhaps we should follow up by email since Phabricator is not really a part of our workflow (bearing in mind Christel is out today).

jrbs added a comment.Apr 3 2018, 8:28 PM

Can that information go to public pages, @jrbs? I /think/ there was some sensitivity around it?

May also be good to get a preview so we can make a more informed opinion on whether it can be published.

jrbs added a comment.Apr 10 2018, 4:29 PM

Let's do this over email.

leila added a comment.Jun 12 2018, 6:22 PM

Update: I'm going to close this task as:

  • We had a few discussions over this.
  • The decision was to not fully document this process.
leila closed this task as Declined.Jun 12 2018, 6:22 PM